'use strict';

exports.__esModule = true;
exports.ReactLazyHtmlView = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _LazyLoadWatcher = require('./LazyLoadWatcher');

var _consts = require('./consts');

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ReactLazyHtmlView = (_temp = _class = function (_React$Component) {
    (0, _inherits3.default)(ReactLazyHtmlView, _React$Component);

    function ReactLazyHtmlView() {
        (0, _classCallCheck3.default)(this, ReactLazyHtmlView);
        return (0, _possibleConstructorReturn3.default)(this, _React$Component.apply(this, arguments));
    }

    ReactLazyHtmlView.prototype.componentDidMount = function componentDidMount() {
        var _props = this.props,
            lazyClassName = _props.lazyClassName,
            loadedClassName = _props.loadedClassName,
            inViewportOffset = _props.inViewportOffset,
            throttleWait = _props.throttleWait;

        this.lazyLoaderWatcher = new _LazyLoadWatcher.LazyLoadWatcher(this.props.scrollDom, {
            scope: this.refContainer,
            lazyClassName: lazyClassName,
            loadedClassName: loadedClassName,
            inViewportOffset: inViewportOffset,
            throttleWait: throttleWait
        });
        this.lazyLoaderWatcher.setWatchImages();
        this.lazyLoaderWatcher.startWatch();
    };

    ReactLazyHtmlView.prototype.componentDidUpdate = function componentDidUpdate() {
        this.lazyLoaderWatcher.setWatchImages();
    };

    ReactLazyHtmlView.prototype.componentWillUnmount = function componentWillUnmount() {
        this.lazyLoaderWatcher.stopWatch();
    };

    ReactLazyHtmlView.prototype.render = function render() {
        var _this2 = this;

        var _props2 = this.props,
            html = _props2.html,
            scrollDom = _props2.scrollDom,
            defaultSrc = _props2.defaultSrc,
            lazyClassName = _props2.lazyClassName,
            loadedClassName = _props2.loadedClassName,
            inViewportOffset = _props2.inViewportOffset,
            throttleWait = _props2.throttleWait,
            otherProps = (0, _objectWithoutProperties3.default)(_props2, ['html', 'scrollDom', 'defaultSrc', 'lazyClassName', 'loadedClassName', 'inViewportOffset', 'throttleWait']);

        return _react2.default.createElement('div', (0, _extends3.default)({
            ref: function ref(c) {
                _this2.refContainer = c;
            }
        }, otherProps, {
            // eslint-disable-next-line react/no-danger
            dangerouslySetInnerHTML: {
                __html: (0, _utils.convertToLazyHtml)(this.props.html, { defaultSrc: defaultSrc, lazyClassName: lazyClassName })
            }
        }));
    };

    return ReactLazyHtmlView;
}(_react2.default.Component), _class.defaultProps = {
    html: '',
    defaultSrc: _consts.BLANK_IMAGE_DATA_URI,
    lazyClassName: _consts.LAZY_IMAGE_CLASS_NAME,
    loadedClassName: _consts.LAZY_IMAGE_LOADED_CLASS_NAME,
    inViewportOffset: _consts.DEFAULT_IN_VIEWPORT_OFFSET,
    throttleWait: _consts.THROTTLE_WAIT_MS
}, _temp);
exports.ReactLazyHtmlView = ReactLazyHtmlView;